<style>
	.has-error input{
  border: 2px solid red;
}
.has-error select{
 border: 2px solid red;
}
</style>

<div ng-controller="flightHotelCtrl">
	<form name="holidayForm" ng-submit="holidaySearch(holidayForm.$valid);">
	<div class="row">
		<div class="form-group col-md-4 pr-0">
			<label>Flying from?</label><span class="red">*</span>
			<!-- <div ng-class="{'has-error' :holidayForm.from_place.$invalid && submitted}"> -->
			<div ng-class="{'has-error': holidayForm.from_place.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-flights"></i></span>
				</div>
				<!-- <input type="text" id="from_place" name="from_place" ng-change="flightfromAutoComplet(fromFlight);" placeholder="Enter an airport" ng-model="fromFlight" uib-typeahead="state as state.Title for state in states | filter:$viewValue | limitTo:12" class="form-control" required autocomplete="off"/> -->
				<input type="text" placeholder="Enter an airport"  ng-model="searchFlightObjJson.frmAirport" id="from__place" name="from__place" class="form-control" required autofocus/>
			</div>
				</div>
			
		</div>
		<div class="form-group col-md-4 pr-0">
			<label>Where to?</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.to_place.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-pin"></i></span>
				</div>
				<!-- <input type="text" id="to_place" name="to_place" ng-change="flightfromAutoComplet(toflight);" class="form-control" placeholder="Enter a destination or hotel name" ng-model="toflight" uib-typeahead="state as state.Title for state in states | filter:$viewValue | limitTo:12" required autocomplete="off"/> -->
				<input type="text" id="to__place" required name="to__place" ng-model="searchFlightObjJson.toAirport" class="form-control" placeholder="To" />
			</div>
				</div>
			
		</div>
		<div class="form-group col-md-4">
			<label>When?</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.daterange1.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
				</div>
				<input type="text" id="daterange1" name="daterange1" class="form-control date-picker" placeholder="Enter a date" date-range-picker ng-model="date" options="opts" required autocomplete="off"/>
				<div class="input-group-append">
					<span class="input-group-text" id="basic-addon1"><i class="fa fa-angle-down"></i></span>
				</div>
			</div>
				</div>
			
		</div>
		<div class="form-group col-md-4 pr-0">
			<label>Hotel City</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.from_hotel.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-hotels"></i></span>
				</div>
				<input type="text" id="from_hotel" name="from_hotel" ng-change="cityAutoComplet(fromHotel)" placeholder="Enter an airport" ng-model="fromHotel" uib-typeahead="cities as cities.Title for cities in city | filter:$viewValue | limitTo:8" class="form-control" required autocomplete="off"/>
			</div>
				</div>
			
		</div>
		
		<div class="form-group col-md-4 pr-0">
			<label>When?</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.hoteldaterange.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
				</div>
				<input type="text" id="hoteldaterange" name="hoteldaterange" class="form-control date-picker" placeholder="Enter a date" date-range-picker ng-model="hoteldate" required autocomplete="off"/>
				<div class="input-group-append">
					<span class="input-group-text" id="basic-addon1"><i class="fa fa-angle-down"></i></span>
				</div>
			</div>
				</div>
			
		</div>
		<div class="form-group col-md-4">
			<label>Who is going?</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.passages.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-occupancy"></i></span>
				</div>
				<input type="text" class="form-control" name="passages" value="{{passengerCount}}" placeholder="Enter passenger count" ng-click="open();" autocomplete="off"/>
				<div class="input-group-append">
					<span class="input-group-text" id="basic-addon1"><i class="fa fa-angle-down"></i></span>
				</div>
			</div>
				</div>
			
			
		</div>
	</div>
	<div class="row">
		<div class="col-md-12 text-right">
			<a class="group-bookings-prompt" href="#">Group Booking Enquiries</a>
		</div>
	</div>
	<div class="row mt-3">
		<div class="col-md-7">
			<div class="row extra-flight-options-panel">
				<div class="col col-1">
					<i class="icon icon-flights"></i>
				</div>
				<!--
					<div class="col col-3">
					<div class="checkbox">
                    <input type="checkbox" id="customCheck1">
                    <label for="customCheck1">Direct Only</label>
					</div>
					</div>
				-->
				<div class="col">
					<div uib-dropdown>
						<button class="btn" type="button" id="dropdownMenuButton" uib-dropdown-toggle>Cabin class: <span class="dd-update">{{cabinClass}}</span></button>
						<div class="dropdown-menu" uib-dropdown-menu aria-labelledby="dropdownMenuButton">
							<a class="dropdown-item" id="cabin_class" href="#" ng-click="changeCabinClass(action)" ng-repeat="action in cabinClassList">{{action}}</a>
							<!-- <a class="dropdown-item active" href="#">Economy</a>
							<a class="dropdown-item" href="#">Premium Economy</a>
							<a class="dropdown-item" href="#">Business</a>
							<a class="dropdown-item" href="#">First</a> -->
						</div>
					</div>
				</div>
				<div class="col">
					<div uib-dropdown>
						<button class="btn" type="button" id="dropdownMenuButton" uib-dropdown-toggle aria-haspopup="true" aria-expanded="false">Airline: <span class="dd-update">{{airline.title}}</span></button>
						<div class="dropdown-menu" uib-dropdown-menu aria-labelledby="dropdownMenuButton">
						<a class="dropdown-item" id="airline" href="#" ng-click="changeAirline(airline)" ng-repeat="airline in airlineList">{{airline.title}}</a>
							<!-- <a class="dropdown-item active" href="#">All Airlines</a>
							<a class="dropdown-item" href="#">Emirates</a>
							<a class="dropdown-item" href="#">Qatar Airways</a>
							<a class="dropdown-item" href="#">Flydubai</a> -->
						</div>
					</div>
				</div>
			</div>
			
		</div>
		<div class="col-md-5 text-right">
			<!-- <button type="button" class="btn btn-dark btn-search" ng-disabled="disabled" ng-click="search()"><i class="fa fa-search" aria-hidden="true"></i> Search</button> -->
			<button type="submit" class="btn btn-dark btn-search"><i class="fa fa-search" aria-hidden="true"></i> Search</button>
		</div>
		
	</div>
	</form>
	<div class="modal-demo">
		<script type="text/ng-template" id="modalContent.html">
			<div class="modal-header">
			<h3 class="modal-title" id="modal-title">
			Passenger Count
		</h3>
	</div>
	<div class="modal-body" id="modal-body">
		<!-- <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p> -->
		<form name="passFrom" ng-submit="passengers(passFrom.$pristine);">
		<div class="row ">
			<div class="col-md-3">
				<label> Room</label><span class="red">*</span>
				<div ng-class="{'has-error': passFrom.rooms.$pristine && submitted}">
					<select class="form-control" name="rooms" ng-model="paasCount.rooms" ng-change="roomChange(paasCount.rooms);" required>
					
					<option ng-repeat="roomssss in rooms">{{roomssss}}</option>
					
				</select>
					</div>
				
				</div><div class="col-md-8">
				<div class="row passenger roomlist" ng-repeat="roomCounts in roomCount track by $index">
					
					<div class="col-md-3">
						<label> Room {{$index+1}}</label>
					</div>
					<div class="col-md-3"><span class="red">*</span>
						<label> Adult</label>
						<div ng-class="{'has-error': passFrom.adults.$pristine}">
							<select class="form-control adult" name="adults" required>
							<option ng-repeat="adultsss in adults">{{adultsss}}</option>
							
						</select>
							</div>
						
						
					</div>
					<div class="col-md-3" >
						<label> Child</label>
						<select class="form-control child" ng-model="children" ng-change="childAge(children);">
							<option  ng-repeat="childssss in childs">{{childssss}}</option>
							
						</select>
					</div>
					<div class="col-md-4 child-age" ng-repeat="ChildAge in child">
						<label>Child Age</label>
						<select class="form-control age" >
							<option ng-repeat="age in childrenAge">{{age}}</option>
							
						</select>
					</div>
				</div>
			</div>
		</div>
		<br/>
		<div class="list_floatR martop">
			<button type="submit" class="btn btn-primary">OK</button>
			<button type="button" class="btn btn-primary" ng-click="cancel();">Cancel</button>
			</div>
			
		</form>
		</div>
		<div class="modal-footer">
			<!-- <button type="submit" class="btn btn-primary" ng-click="ok();">OK</button>
			<button type="button" class="btn btn-primary" ng-click="cancel();">Cancel</button> -->
		</div>
	</script>


</div>

